package com.njcn.pojo.commons.device;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.njcn.pojo.configuration.DevFunction;

public class DeviceInfo implements Serializable{
	private Long devIndex;

	private Long gdIndex;

	private Long subIndex;

	private String name;

	private Integer status;

	private String devType;

	private Long datatype;

	private Integer ip1;

	private Integer ip2;

	private Integer ip3;

	private Integer ip4;

	private String ip;

	private Date logonTime;

	private Date updateTime;

	private Integer callFlag;

	private Integer devFlag;

	private Long nodeIndex;

	private String logTime;

	private String updTime;

	private String manufacturer;

	private Date ThisTimeCheck;

	private Date NextTimeCheck;

	private String thisTime;

	private String nextTime;
	private Long portId;

	private Long devmodel;

	private String series;

	private String key;

	private String mac;

	private String iptype;

	private List<DevFunction> devfunction;

	private Long dataplan;

	private Long newtraffic;

	private String devseries;


	//是否启用电镀功能0.不启用 1，启用
	private Integer electroplate;
	//对时功能 0.关闭 1.启用
	private Integer ontime;
	//合同号
	private String contract;

	//装置系列
	private String devCatena;
	//SIM卡号
	private String sim;


	//监测装置安装位置
	private String devLocation;
	//监测厂家设备编号
	private String devNo;

	private Integer isAlarm;

	public String getDevLocation() {
		return devLocation;
	}

	public void setDevLocation(String devLocation) {
		this.devLocation = devLocation;
	}

	public String getDevNo() {
		return devNo;
	}

	public void setDevNo(String devNo) {
		this.devNo = devNo;
	}

	public String getDevCatena() {
		return devCatena;
	}

	public void setDevCatena(String devCatena) {
		this.devCatena = devCatena;
	}

	public String getSim() {
		return sim;
	}

	public void setSim(String sim) {
		this.sim = sim;
	}

	public String getContract() {
		return contract;
	}

	public void setContract(String contract) {
		this.contract = contract;
	}

	public Integer getOntime() {
		return ontime;
	}

	public void setOntime(Integer ontime) {
		this.ontime = ontime;
	}

	public Long getDevIndex() {
		return devIndex;
	}

	public void setDevIndex(Long devIndex) {
		this.devIndex = devIndex;
	}

	public Long getGdIndex() {
		return gdIndex;
	}

	public void setGdIndex(Long gdIndex) {
		this.gdIndex = gdIndex;
	}

	public Long getSubIndex() {
		return subIndex;
	}

	public void setSubIndex(Long subIndex) {
		this.subIndex = subIndex;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getDevType() {
		return devType;
	}

	public void setDevType(String devType) {
		this.devType = devType;
	}

	public Integer getIp1() {
		return ip1;
	}

	public void setIp1(Integer ip1) {
		this.ip1 = ip1;
	}

	public Integer getIp2() {
		return ip2;
	}

	public void setIp2(Integer ip2) {
		this.ip2 = ip2;
	}

	public Integer getIp3() {
		return ip3;
	}

	public void setIp3(Integer ip3) {
		this.ip3 = ip3;
	}

	public Integer getIp4() {
		return ip4;
	}

	public void setIp4(Integer ip4) {
		this.ip4 = ip4;
	}

	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public Date getLogonTime() {
		return logonTime;
	}

	public void setLogonTime(Date logonTime) {
		this.logonTime = logonTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getCallFlag() {
		return callFlag;
	}

	public void setCallFlag(Integer callFlag) {
		this.callFlag = callFlag;
	}

	public Integer getDevFlag() {
		return devFlag;
	}

	public void setDevFlag(Integer devFlag) {
		this.devFlag = devFlag;
	}

	public Long getNodeIndex() {
		return nodeIndex;
	}

	public void setNodeIndex(Long nodeIndex) {
		this.nodeIndex = nodeIndex;
	}

	public String getLogTime() {
		return logTime;
	}

	public void setLogTime(String logTime) {
		this.logTime = logTime;
	}

	public String getUpdTime() {
		return updTime;
	}

	public void setUpdTime(String updTime) {
		this.updTime = updTime;
	}

	public String getManufacturer() {
		return manufacturer;
	}

	public void setManufacturer(String manufacturer) {
		this.manufacturer = manufacturer;
	}

	public Date getThisTimeCheck() {
		return ThisTimeCheck;
	}

	public void setThisTimeCheck(Date thisTimeCheck) {
		ThisTimeCheck = thisTimeCheck;
	}

	public Date getNextTimeCheck() {
		return NextTimeCheck;
	}

	public void setNextTimeCheck(Date nextTimeCheck) {
		NextTimeCheck = nextTimeCheck;
	}

	public String getThisTime() {
		return thisTime;
	}

	public void setThisTime(String thisTime) {
		this.thisTime = thisTime;
	}

	public String getNextTime() {
		return nextTime;
	}

	public void setNextTime(String nextTime) {
		this.nextTime = nextTime;
	}

	public Long getPortId() {
		return portId;
	}

	public void setPortId(Long portId) {
		this.portId = portId;
	}

	public Long getDevmodel() {
		return devmodel;
	}

	public void setDevmodel(Long devmodel) {
		this.devmodel = devmodel;
	}

	public Long getDatatype() {
		return datatype;
	}

	public void setDatatype(Long datatype) {
		this.datatype = datatype;
	}

	public String getSeries() {
		return series;
	}

	public void setSeries(String series) {
		this.series = series;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getMac() {
		return mac;
	}

	public void setMac(String mac) {
		this.mac = mac;
	}

	public String getIptype() {
		return iptype;
	}

	public void setIptype(String iptype) {
		this.iptype = iptype;
	}

	public List<DevFunction> getDevfunction() {
		return devfunction;
	}

	public void setDevfunction(List<DevFunction> devfunction) {
		this.devfunction = devfunction;
	}

	public Long getDataplan() {
		return dataplan;
	}

	public Long getNewtraffic() {
		return newtraffic;
	}

	public void setDataplan(Long dataplan) {
		this.dataplan = dataplan;
	}

	public void setNewtraffic(Long newtraffic) {
		this.newtraffic = newtraffic;
	}

	public String getDevseries() {
		return devseries;
	}

	public void setDevseries(String devseries) {
		this.devseries = devseries;
	}

	public Integer getElectroplate() {
		return electroplate;
	}

	public void setElectroplate(Integer electroplate) {
		this.electroplate = electroplate;
	}

	public Integer getIsAlarm() {
		return isAlarm;
	}

	public void setIsAlarm(Integer isAlarm) {
		this.isAlarm = isAlarm;
	}
}
